RDSETROOT(8)

NAME
rdsetroot - insert disk image into RAMDISK kernel

SYNOPSIS
rdsetroot [-dx] kernel [disk.fs]

DESCRIPTION
The rdsetroot utility inserts the file disk.fs into the reserved space inside a RAMDISK kernel. If disk.fs is not specified, rdsetroot reads from standard input.

The options are as follows:

-d  Debug.

-x  Rather than inserting, extract the disk.fs image. If disk.fs is not specified, rdsetroot writes to standard output. The disk can be made accessible using vnconfig(8), filesystems can be manipulated, and finally re-inserted into the RAMDISK kernel.

SEE ALSO
config(8), disklabel(8), vnconfig(8)